package jp.ac.kyutech.mns.ist.play;

/**
 * 
 * SSManager が，（指定された）ある表示時刻における，表示するShortStrokeと非表示にするShortStrokeを二分木によって高速に
 * 参照できるようにするための，補助クラス
 * 
 * 時刻インデックスの範囲 begin, end 
 * 
 * @see SSManager
 * @author miuramo
 *
 */

public class SSRange {
	int begin, end; // endは含まない
	int index; //

	TimePlayable obj;

	SSRange(int b, int e, TimePlayable ob) {
		obj = ob;
		begin = b;
		end = e;
	}

	/**
	 * 指定された時刻インデックスが，このSSRangeを示すものかどうかを判断するメソッド
	 * @param p 時刻インデックス
	 * @return このSSRangeが示す範囲内なら0を返す．もしpがこの範囲より前なら-1，範囲より後なら1を返す．
	 */
	public int isRange(int p) {
		if (begin <= p && p < end)
			return 0;
		else if (p < begin)
			return -1;
		else
			return 1;
	}
}